gsasl_base64_from(3)

NAME
gsasl_base64_from - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_base64_from(const char * in, size_t inlen, char ** out, size_t * outlen);

ARGUMENTS

const char * in
    input byte array

size_t inlen
    size of input byte array

char ** out
    pointer to newly allocated output byte array

size_t * outlen
    pointer to size of newly allocated output byte array

DESCRIPTION
Decode Base64 data. The out buffer must be deallocated by the caller.

RETURN VALUE
Returns GSASL_OK on success, GSASL_BASE64_ERROR if input was invalid, and GSASL_MALLOC_ERROR on memory allocation errors.

SINCE
0.2.2

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.